Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class IllegalMethodCallException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.jsystems.tools.exception.BaseRuntimeException
                      de.jsystems.framework.common.exception.IllegalMethodCallException

All Implemented Interfaces:
  Serializable

public class IllegalMethodCallException
extends BaseRuntimeException

Exception zum Kennzeichnen von Illegalen Methodenaufrufen. Entweder wird damit gekennzeichnet, das der Aufruf der betreffenden Methode nicht moeglich war (z. B. bei Reflection) oder das der Aufruf im entsprechenden Kontext nicht erlaubt ist.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseRuntimeException
`LEVEL_WARNING, LOG_OFF, LOG_ON`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`IllegalMethodCallException()` Erzeugt eine neue Exception.
`IllegalMethodCallException(Object source, String message)` Erzeugt eine neue Exception.
`IllegalMethodCallException(String message)` Erzeugt eine neue Exception mit dem uebergebenen Messagetext.

Methods inherited from class de.jsystems.tools.exception.BaseRuntimeException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalMethodCallException

    public IllegalMethodCallException()

  Erzeugt eine neue Exception. Dabei ist der Messagetext leer.

### IllegalMethodCallException

    public IllegalMethodCallException(String message)

  Erzeugt eine neue Exception mit dem uebergebenen Messagetext. Dieser kann genauer beschreiben, warum die Exception ausgeloest wurde.

Parameters:
  `message` - Ein String mit einer genaueren Beschreibung, warum die Exception ausgeloest wurde.

### IllegalMethodCallException

    public IllegalMethodCallException(Object source,
                                      String message)

  Erzeugt eine neue Exception. Dabei wird die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat mit uebergeben. Zusaetzlich kann in dem uebergebenen String eine genauere Beschreibung abgelegt werden, warum es zu dieser Exception kam.

Parameters:
  `source` - Die urspruengliche Exception, die zu dieser Exception gefuehrt hat.
  `message` - Ein String mit einer genaueren Beschreibung, warum die Exception ausgeloest wurde.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD